# Class Controller

#### Hierarchy

- Controller

- Defined in src/editing/editFeatureSelectorComponent.js:107

#####
Index

### Properties

$timeout_
active
dirty
editableTreeCtrls
gmfThemes_
gmfTreeManager_
map
scope_
selectedEditableTreeCtrl
state
treeCtrlsWatcherUnregister_
vectorLayer

### Methods

handleActiveChange_
handleDestroy_
stopEditing

## Properties

### $timeout_

$timeout_: ITimeoutService

- Defined in src/editing/editFeatureSelectorComponent.js:137

### active

active: boolean

- Defined in src/editing/editFeatureSelectorComponent.js:113
- Defined in src/editing/editFeatureSelectorComponent.js:233
- Defined in src/editing/editFeatureSelectorComponent.js:267

### dirty

dirty: boolean

Flag shared with the `gmf-editfeature` directive used to determine if it has unsaved changes or not.

- Defined in src/editing/editFeatureSelectorComponent.js:191
- Defined in src/editing/editFeatureSelectorComponent.js:210

### editableTreeCtrls

editableTreeCtrls: LayertreeController[]

List of editable Layertree controllers.

- Defined in src/editing/editFeatureSelectorComponent.js:198

### gmfThemes_

gmfThemes_: any

- Defined in src/editing/editFeatureSelectorComponent.js:142

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/editing/editFeatureSelectorComponent.js:147

### map

map: Map

- Defined in src/editing/editFeatureSelectorComponent.js:120

### scope_

scope_: IScope

- Defined in src/editing/editFeatureSelectorComponent.js:132

### selectedEditableTreeCtrl

selectedEditableTreeCtrl: LayertreeController

The currently selected Layertree controller.

- Defined in src/editing/editFeatureSelectorComponent.js:205
- Defined in src/editing/editFeatureSelectorComponent.js:230

### state

state: string

The state of this directive shared with the `gmf-editfeature` directive. This property allows the proper management of the "stop editing" button. When clicked, the according state is set and the `gmf-editfeature` directive checks if it has unsaved changes and allow this directive to continue the action that was made or not.

- Defined in src/editing/editFeatureSelectorComponent.js:211
- Defined in src/editing/editFeatureSelectorComponent.js:224
- Defined in src/editing/editFeatureSelectorComponent.js:247

### treeCtrlsWatcherUnregister_

treeCtrlsWatcherUnregister_: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/editing/editFeatureSelectorComponent.js:176

### vectorLayer

vectorLayer: VectorLayer<VectorSource<Geometry>>

- Defined in src/editing/editFeatureSelectorComponent.js:125

## Methods

### handleActiveChange_

- handleActiveChange_(active: boolean): void

- Called when the active property of the this directive changes. Manage the activation/deactivation accordingly.

  #### Parameters

  - ##### active: boolean

    Whether the directive is active or not.

  #### Returns void

  - Defined in src/editing/editFeatureSelectorComponent.js:256

### handleDestroy_

- handleDestroy_(): void

- #### Returns void

  - Defined in src/editing/editFeatureSelectorComponent.js:274

### stopEditing

- stopEditing(): void

- Called when the 'stop editing' button is clicked. Set the 'state' variable to 'pending' allow the editfeature directive to check if it can stop or if it requires confirmation due to unsaved modifications.

  #### Returns void

  - Defined in src/editing/editFeatureSelectorComponent.js:246

Generated using TypeDoc